/***************************************************************************
                          dierollerapp.h  -  description
                             -------------------
    begin                : Tue Apr  1 13:59:16 CST 2003
    copyright            : (C) 2003 by Ralph M. Churchill
    email                : churchillrm@cox.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DIEROLLERAPP_H
#define DIEROLLERAPP_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <kapp.h>
#include <qwidget.h>

#include "dieroller.h"

/** DieRollerApp is the base class of the project */
class DieRollerApp : public DieRoller
{
  Q_OBJECT 
  public:
    /** construtor */
    DieRollerApp(QWidget* parent=0, const char *name=0);
    /** destructor */
    ~DieRollerApp();
  public slots:
    void init();
    void roll();
    void reset();
    void updateResultLabel();
    void d4selected();
    void d6selected();
    void d20selected();
    void d8selected();
    void d10selected();
    void d12selected();

};

#endif
