/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Tue Apr  1 13:59:16 CST 2003
    copyright            : (C) 2003 by Ralph M. Churchill
    email                : churchillrm@cox.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "dierollerapp.h"

static const char *description =
	I18N_NOOP("DieRollerApp");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

  KAboutData aboutData( "dierollerapp", I18N_NOOP("DieRollerApp"),
    VERSION, description, KAboutData::License_GPL,
    "(c) 2003, Ralph Churchill", 0, 0, "ralph.m.churchill@williams.com");
  aboutData.addAuthor("Ralph Churchill",0, "ralph.m.churchill@williams.com");
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication a;
  DieRollerApp *dierollerapp = new DieRollerApp();
  a.setMainWidget(dierollerapp);
  dierollerapp->show();  

  return a.exec();
}
